#!/bin/sh -x
if 0 ; then  ##### SKIP THIS STUFF

echo "UNSET P4PORT:"
if [ -d depot ]; then
	/bin/rm -Rf depot
fi
mkdir depot
unset P4PORT
bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
sleep 5
p4 -p play:1666 info
p4 -p play:1666 admin stop
sleep 5

echo
echo "P4PORT=3344"
if [ -d depot ]; then
	/bin/rm -Rf depot
fi
mkdir $PWD/depot
export P4PORT=3344
bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
sleep 5
p4 -p play:3344 info
p4 -p play:3344 admin stop
sleep 5

echo
echo "P4PORT=:3344"
if [ -d depot ]; then
	/bin/rm -Rf depot
fi
mkdir $PWD/depot
export P4PORT=:3344
bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
sleep 5
p4 -p play:3344 info
p4 -p play:3344 admin stop
sleep 5

echo
echo "P4PORT=play"
if [ -d depot ]; then
	/bin/rm -Rf depot
fi
mkdir $PWD/depot
export P4PORT=play
bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
echo "RESULT:[$?]"
sleep 5
p4 -p play:1666 info
p4 -p play:1666 admin stop
sleep 5

fi  ##### END SKIPPING

echo
echo "P4PORT=play:"
if [ -d depot ]; then
	/bin/rm -Rf depot
fi
mkdir $PWD/depot
export P4PORT=play:
netstat -a -n > 000
bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
netstat -a -n > 111
sleep 2
netstat -a -n > 222
p4 -p play:1666 info
p4 -p play:1666 admin stop
sleep 5

exit  ### BAIL OUT HERE

echo
echo "P4PORT=play:3344"
if [ -d depot ]; then
	/bin/rm -Rf depot
fi
mkdir $PWD/depot
export P4PORT=play:3344
bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
sleep 5
p4 -p play:3344 info
p4 -p play:3344 admin stop
sleep 5
#!/bin/sh -x

if [ -d depot ]; then
	/bin/rm -Rf depot
fi
mkdir depot
export P4PORT=play:1666
echo "Starting Server on: [$P4PORT]"
bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
sleep 5

echo
unset P4PORT
echo "P4PORT=[$P4PORT]"
p4 info | egrep '^([ 	]|Server address)'

host=`hostname`
for port in "3344" ":3344" "03344" ":03344" "$host" "$host:" "$host:3344" "" ":" " " "localhost" "localhost:" ":localhost" ; do
	echo
	export P4PORT="$port"
	xx=`printenv P4PORT`
	echo "P4PORT=[$xx]"
	if [ -d depot ]; then
		/bin/rm -Rf depot
	fi
	mkdir $PWD/depot
	netstat -a -n > 000
	bin/p4d -vserver=1 -L$PWD/depot/p4d.log -r $PWD/depot &
	netstat -a -n > 111
	sleep 2
	netstat -a -n > 222
	p4 -p $port info
	p4 -p $port admin stop
	sleep 5
done

echo
echo "Stopping server"
export P4PORT=play:1666
p4 admin stop
